### Method

# Pango.Language.get_scripts

#### Declaration [src]

    const PangoScript*
    pango_language_get_scripts (
      PangoLanguage* language,
      int* num_scripts
    )

#### Description [src]

Determines the scripts used to to write `language`.

If nothing is known about the language tag `language`, or if `language` is `NULL`, then `NULL` is returned. The list of scripts returned starts with the script that the language uses most and continues to the one it uses least.

The value `num_script` points at will be set to the number of scripts in the returned array (or zero if `NULL` is returned).

Most languages use only one script for writing, but there are some that use two (Latin and Cyrillic for example), and a few use three (Japanese for example). Applications should not make any assumptions on the maximum number of scripts returned though, except that it is positive if the return value is not `NULL`, and it is a small number.

The `pango_language_includes_script()` function uses this function internally.

Note: while the return value is declared as `PangoScript`, the returned values are from the `GUnicodeScript` enumeration, which may have more values. Callers need to handle unknown values.

#### Parameters

`num_scripts` | `int*`
| location to return number of scripts, or `NULL`
| Direction: out
| Ownership of the data is transferred to the callee

#### Return value

Returns: An array of `PangoScript`
An array of `PangoScript` values, with the number of entries in the array stored in `num_scripts`, or `NULL` if Pango does not have any information about this particular language tag (also the case if `language` is `NULL`). The returned array is owned by Pango and should not be modified or freed.
| The length of the array is in the `num_scripts` argument
Ownership is not transferred to the caller
Can be `NULL`